%define api		0.9
%define major	9
%define libname		%mklibname wpd %{api} %{major}
%define libstream	%mklibname wpd-stream %{api} %{major}
%define develname	%mklibname -d wpd 

Summary:	Library for reading/writing WordPerfect files
Name:		libwpd
Version:	0.9.6
Release:	1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwpd.sourceforge.net/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	doxygen

%description
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{name}-tools
Summary:	Tools to transform Wordperfect files to html or text
Group:		Office

%description -n %{name}-tools
Tools to transform Wordperfect files to html or text.
It supports fileimport of all versions of WordPerfect.

%package -n	%{libname}
Summary:	Library for reading/writing WordPerfect files
Group:		System/Libraries

%description -n	%{libname}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{libstream}
Summary:	Library for reading/writing WordPerfect files
Group:		System/Libraries
Conflicts:	%{_lib}wpd0.9_9 < 0.9.2-1

%description -n	%{libstream}
This package contains the library wpd-stream for %{name}.

%package -n	%{develname}
Summary:	Headers and development files for libwpd
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{libstream} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d wpd- 0.8 8

%description -n	%{develname}
Headers and development files for libwpd.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%files -n %{name}-tools
%doc ChangeLog COPYING INSTALL README TODO
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libwpd-%{api}.so.%{major}*

%files -n %{libstream}
%{_libdir}/libwpd-stream-%{api}.so.%{major}*

%files -n %{develname}
%{_libdir}/pkgconfig/libwpd-%{api}.pc
%{_libdir}/pkgconfig/libwpd-stream-%{api}.pc
%{_libdir}/libwpd-%{api}.so
%{_libdir}/libwpd-stream-%{api}.so
%{_includedir}/libwpd-%{api}
%doc %{_datadir}/doc/libwpd



%changelog
* Tue Sep 25 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.9.6-1
+ Revision: 817600
- version update 0.9.6

* Sat Mar 24 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.9.4-1
+ Revision: 786583
- new version 0.9.4
- new version 0.9.3
- cleaned up spec
- split up libs

* Sat May 07 2011 Funda Wang <fwang@mandriva.org> 0.9.2-1
+ Revision: 672217
- new version 0.9.2
- do not obsoletes now

* Mon May 02 2011 Funda Wang <fwang@mandriva.org> 0.9.1-1
+ Revision: 661813
- New version 0.9.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.14-4mdv2011.0
+ Revision: 602615
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.14-3mdv2010.1
+ Revision: 520942
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.8.14-2mdv2010.0
+ Revision: 425877
- rebuild

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.14-1mdv2009.0
+ Revision: 272945
- New version

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.13-5mdv2009.0
+ Revision: 229752
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 25 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.13-3mdv2008.1
+ Revision: 189873
- Fix lib group

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.8.13-2mdv2008.1
+ Revision: 170963
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Jan 06 2008 Funda Wang <fwang@mandriva.org> 0.8.13-1mdv2008.1
+ Revision: 145938
- New version 0.8.13

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 05 2007 Funda Wang <fwang@mandriva.org> 0.8.12-1mdv2008.1
+ Revision: 105986
- New version 0.8.12

* Wed Aug 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.8.11-1mdv2008.0
+ Revision: 74873
- New upstream: 0.8.11

